---
obj: application
repo: https://github.com/sharkdp/bat
rev: 2024-01-17
---

# bat
bat is a cat rewrite in [Rust](../../dev/programming/languages/Rust.md)

## Usage
Flags:
```shell
-r, --line-range <N:M>...     Only print specific lines
-A, --show-all                Show non-printable characters
-p, --plain                   Only show plain style, no decorations
-d, --diff                    Only show changed lines
```
